/**
 * Data model pour les armes
 */
export default class EcrymeWeaponDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      weight: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      cost: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      costunit: new fields.StringField({ initial: "" }),
      weapontype: new fields.StringField({ initial: "melee", choices: { melee: "Mêlée", ranged: "Distance" } }),
      effect: new fields.NumberField({ initial: 0, integer: true })
    };
  }
}
